Carts & CheckoutCarts
Get delivery or pickup slots
Returns the available time slots for a scheduled delivery or pickup method on the requested date.
GET
/v1/carts/shipping/slotsReturns the available time slots for a scheduled delivery or pickup method on the requested date.
Query Parameters
shippingMethodId*string
locationId?string
Identifier of the location.
pickupPointId?string
postalCode?string
latitude?number
Format
doublelongitude?number
Format
doubledate*string
Format
dateHeader Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/carts/shipping/slots?shippingMethodId=7204558912004325301&date=2026-08-01" \ -H "x-Store-Domain: my-store"{ "shippingMethodId": "7204558912004325301", "type": "regular", "locationId": "7204558912004325301", "pickupPointId": "7204558912004325301", "date": "2026-08-01", "capacity": 1, "scheduledCount": 1, "slots": [ "09:00:00Z" ]}